import { stemTypeList, scoreTypeList, questionNumberTypeList, switchOption } from './common';
import { getRandomNumber } from '@/utils/index';
export function getOption() {
  return {
    picture_title: '',
    picture_info: '',
    picture_file_id: '',
    mark: getRandomNumber(),
  };
}
export const writePictrueData = {
  type: 'write_picture', // 题型
  stem: '', // 题干
  description: '',
  article: '',
  sample_text: '',
  option_list: [], // 选项
  file_id_list: [],
  answer: { score: 0, score_type: scoreTypeList[0].value }, // 答案
  // 题型属性
  property: {
    stem_type: stemTypeList[0].value, // 题干类型
    question_number: '1', // 题号
    score: 1, // 分值
    is_enable_description: switchOption[1].value, // 描述
    score_type: scoreTypeList[0].value, // 分值类型
    word_num: 50, // 字数
    is_enable_sample_text: 'true', // 范文开启
    is_enable_upload_accessory: 'true', // 上传附件
  },
  // 其他属性
  other: {
    question_number_type: questionNumberTypeList[0].value, // 题号类型
  },
};
